Errore aggiornamento da 2.4.13 a 2.4.21

Sezione dedicata ai problemi con l'installazione e l'aggiornamento del software, con discussioni sulle configurazioni di specifici server o fornitori di hosting.
Rispondi
cmeggiorin
Messaggi: 6
Iscritto il: 02 gen 2016 17:08

Errore aggiornamento da 2.4.13 a 2.4.21

Messaggio da cmeggiorin »

Buongiorno,
dopo l'aggiornamento dalla versione 2.4.13 alla 2.4.21 esce il seguente errore quando entro nel dashboard:

Si è verificato un'errore [uid: 3fff77b]. Se il problema persiste siete pregati di chiedere assistenza tramite il forum apposito (https://forum.openstamanager.com/).
Uncaught Exception PDOException: "SQLSTATE[42S22]: Column not found: 1054 Unknown column 'is_completato' in 'where clause'" at /var/www/html/osm/src/Database.php line 256

Si è verificato un'errore [uid: 3fff77b]. Se il problema persiste siete pregati di chiedere assistenza tramite il forum apposito (https://forum.openstamanager.com/).
SQLSTATE[42S22]: Column not found: 1054 Unknown column 'is_completato' in 'where clause'

Inoltre viene visualizzato il seguente avviso:

Attenzione! Ci sono delle tabelle non previste nella versione standard del gestionale: co_ordiniservizio, co_ordiniservizio_pianificazionefatture, co_ordiniservizio_vociservizio, co_promemoria_articoli, co_promemoria_righe, mg_articoli_interventi, zz_hook_cache.

In questo momento non vedo nessun dato e non riesco a fare neppure la verifica dell'integrità dell'installazione.
Cosa posso provare a fare?

Grazie
C. Meggiorin

Avatar utente
dasc3er
Messaggi: 1210
Iscritto il: 11 lug 2016 17:41

Re: Errore aggiornamento da 2.4.13 a 2.4.21

Messaggio da dasc3er »

Ciao,
Puoi vedere che messaggio viene indicato dal controllo integrità del database nel modulo Aggiornamenti?

cmeggiorin
Messaggi: 6
Iscritto il: 02 gen 2016 17:08

Re: Errore aggiornamento da 2.4.13 a 2.4.21

Messaggio da cmeggiorin »

Cliccando sul pulsante "Controlla database" non accade nulla.
Neppure usando il pulsante "Controlla file".
C. Meggiorin

Avatar utente
dasc3er
Messaggi: 1210
Iscritto il: 11 lug 2016 17:41

Re: Errore aggiornamento da 2.4.13 a 2.4.21

Messaggio da dasc3er »

Allora, sembrerebbe che ci siano diversi problemi nella tua installazione in questo caso...
Puoi verificare se ci sono dei log di errore nella cartella logs/?

cmeggiorin
Messaggi: 6
Iscritto il: 02 gen 2016 17:08

Re: Errore aggiornamento da 2.4.13 a 2.4.21

Messaggio da cmeggiorin »

Si, nella cartella logs trovo il file error.log.
Ho ripulito il log lasciando solo le righe riguardanti il 2021 e nella fattispecie quelle relative all'aggiornamento e post aggiornamento.

Grazie
Allegati
error.log.7z
(1.9 KiB) Scaricato 8 volte
C. Meggiorin

Avatar utente
dasc3er
Messaggi: 1210
Iscritto il: 11 lug 2016 17:41

Re: Errore aggiornamento da 2.4.13 a 2.4.21

Messaggio da dasc3er »

Posso suggerirti di estrarre manualmente il contenuto dello zip di aggiornamento nella cartella dell'installazione?
Sembra che numerosi file non siano stati sovrascritti, in base ai log che hai condiviso e alle informazioni originali.

cmeggiorin
Messaggi: 6
Iscritto il: 02 gen 2016 17:08

Re: Errore aggiornamento da 2.4.13 a 2.4.21

Messaggio da cmeggiorin »

Ho provato a scompattare il file di installazione della 2.4.21 nella cartella di installazione, ma il risultato non cambia.
Non riesco ancora neppure a lanciare la procedura di verifica integrità file e database.
C. Meggiorin

Avatar utente
dasc3er
Messaggi: 1210
Iscritto il: 11 lug 2016 17:41

Re: Errore aggiornamento da 2.4.13 a 2.4.21

Messaggio da dasc3er »

In questo caso è difficile trovare il problema e risolverlo rapidamente.
Ti consiglierei di ripristinare un backup della versione precedente del gestionale, oppure ancora di contattare via email gli sviluppatori ufficiali per ricercare supporto (eventualmente a pagamento) per una rapida risoluzione della problematica.

Hai delle personalizzazioni?
Nel caso tu non abbia modifiche al codice, prova a cancellare l'intera cartella modules/, update/, include/, lib/ e src/. Dopodichè estrai nuovamente dallo zip le cartelle che hai rimosso: in questo modo dovremmo riuscire a sovrascrivere completamente i file in questione.
Inoltre, che versione di PHP e MySQL stai utilizzando?

Rispondi